InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::EthernetSettings Struct Reference

Ethernet Settings. More...

`#include <EthernetSettings.h>`

## Public Member Functions
| EthernetSettings ()
| EthernetSettings (std::wstring const &adapterName, unsigned const protocolID)
| EthernetSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | adapterName
| The name of the network adapter used for the Ethernet connection.
std::wstring | macAddress
| The MAC Address of the network adapter.
unsigned | protocolID
| The Ethernet Protocol ID to use.
unsigned | gatewayID
| The ID of the gateway to accept messages from, 0 to use the first detected gateway.

## Detailed Description

Ethernet Settings.

Class containing settings for Ethernet connection.

## Constructor & Destructor Documentation

## ◆ EthernetSettings() [1/3]

inertia::EthernetSettings::EthernetSettings | ( |  | ) |

Default constructor. Without an adapterName EthernetSettings will be invalid.

## ◆ EthernetSettings() [2/3]

inertia::EthernetSettings::EthernetSettings | ( | std::wstring const & | adapterName,
|  | unsigned const | protocolID )

Constructor with individual arguments.

Parameters

  adapterName | name of the network adapter
  protocolID | the protocolID to use

## ◆ EthernetSettings() [3/3]

inertia::EthernetSettings::EthernetSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates EthernetSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::EthernetSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for EthernetSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::EthernetSettings::ToString | ( |  | ) | const

Get a string representation of this EthernetSettings. The string is compatible with GetOptionDescription() and EthernetSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- EthernetSettings.h